Subject: Re: bug#76586: 30.1; Question regarding eln-cache

From: Ship Mints <[email-masked]>
Date: Wed, 26 Feb 2025 11:43:15 -0500

Further, if your Emacs is built with native libraries precompiled, Emacs
uses comp-abi-hash to find those libraries.  If you change it, you will not
be happy.

On Wed, Feb 26, 2025 at 11:41 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Rahul Martim Juliato <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Wed, 26 Feb 2025 13:30:17 -0300
> >
> > Do I wish a user option to override `comp-abi-hash` would be available
> > to the lisp user? Yes. Do I think exposing it is a good idea? No. For
> > that I believe you guys know better :)
>
> This is extremely UN-recommended!  The hashes in the directory and
> file names of the *.eln files are designed to make sure, with high
> probability, that you never load a .eln file which is incompatible
> with the Emacs you are running, because doing so will almost
> certainly cause a crash at some point.
>
> So you are well advised not to do that, even if Emacs gives you enough
> rope to hang yourself.
>